
Partial Class Visitors_General
    Inherits CharterCMSPage


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("")
        Dim ownerID As String
        Const DEFAULT_OWNER_ID As Integer = 0
        ownerID = Request.QueryString(QueryStringName.OwnerID)
        If Not Page.IsPostBack Then
            If ownerID IsNot Nothing Then
                If IsNumeric(ownerID) Then
                    ucGeneralContent.OwnerID = CInt(ownerID)
                Else
                    ucGeneralContent.OwnerID = DEFAULT_OWNER_ID
                End If
            Else
                ucGeneralContent.OwnerID = DEFAULT_OWNER_ID
            End If
        End If
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        ' DB - This is a temporary work around to add the HDTV lineup
        ' user control into the page, but only for ownerid 17 at the time being
        ' will come up with a better, configurable way to do this in the 
        ' future.
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        ucChannels.Visible = False
        If ownerID IsNot Nothing Then
            If CInt(ownerID) = 17 Then
                ucChannels.Visible = True
            Else
                ucChannels.Visible = False
            End If
        End If
    End Sub

End Class
